Namespace
library
Image / Tag
matomo:3.7-fpm
Content Digest
sha256:71cb2104dfbdc71db116f3fdf0c9dab4d0943df6e1add1b82dbc6bb95d3cf553
Details
Created

2018-12-30 07:23:31 UTC

Size

161 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.7.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88

PHP_URL

https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror

PHP_VERSION

7.1.25


Layers

[#000] sha256:9a1a13172ed974323f7c35153e8b23b8fa1c85355b6b26cc3127e640e45ef0aa - 13.69% (22.1 MB)

[#001] sha256:5094d5d656a95c6aa92f5f2adc56a794564b1e340bc4065db2947d7ce0c1a394 - 0.0% (226 Bytes)

[#002] sha256:dbb2ab2fc6c3875a5ebec4eb6dae731467d2cfbe0c4372b4db6b7f8faad9917e - 42.33% (68.2 MB)

[#003] sha256:05469bc6d7085ba5736c7bf95032d0bb750ab2fa43b29049cfee7ba36c391e79 - 0.0% (183 Bytes)

[#004] sha256:7ab7d8b57c6883de4382d2f24ecaad745abf81eac80334913b422731889fcba7 - 7.42% (12 MB)

[#005] sha256:a9d8f1f578b1d1605a413f5c0f42974bb8e4c9ddde5935ebdc9805bd00f151c7 - 0.0% (501 Bytes)

[#006] sha256:b58392904cdeb62487ea90bb0dc4f37c621ab44366cf7decbd66e7773ea68853 - 16.77% (27 MB)

[#007] sha256:3e5204418ee3fd0cf26cbd5cfc6bb1f00cac4804dae90073f747655e60a3771a - 0.0% (2.14 KB)

[#008] sha256:429abcffaba2d5da1ff18974a08b453dbe6ec9238ad4d23745f7599557f7ff44 - 0.0% (130 Bytes)

[#009] sha256:898c866c42153a04a4c7859f29d896d3bce999d25663b1b962328b8badf74b25 - 0.0% (7.59 KB)

[#010] sha256:12f920aa834d70383d67916d9c4ec731fc7c162dafbe85994a064eba7e598bdb - 1.71% (2.76 MB)

[#011] sha256:23467d6a048a584c1d0844ad71d50e69b310f757dcfad1c0d29ffd1f97e3de6e - 9.84% (15.9 MB)

[#012] sha256:cd956a7601fb00d33b92520c3c1a86d7bedc15d6ae7c9d571ed0d229954de7d0 - 0.0% (321 Bytes)

[#013] sha256:46f2269624bcfbd16ab93806f4fc8c8885b0fbfa3a949d133c0e5ed780c7b69d - 8.24% (13.3 MB)

[#014] sha256:a1b71adbb35094c84fae9f1304a8ab361cfaa648d49e14fe67e8ac68a630b57f - 0.0% (221 Bytes)


History
2018-12-29 11:56:14 UTC

/bin/sh -c #(nop) ADD file:aaa0661c64d46388f46e71ba3d172f3208f6b943dbc1a86e0b50ca5080bdb3ee in /

2018-12-29 11:56:15 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-12-29 21:36:24 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-12-29 21:36:24 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-12-29 21:36:48 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-12-29 21:36:48 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-12-29 21:36:49 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-12-29 21:49:42 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-12-29 21:49:42 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 21:49:43 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 21:49:43 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-12-29 22:32:22 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-12-29 22:32:22 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.25

2018-12-29 22:32:22 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

2018-12-29 22:32:22 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88 PHP_MD5=

2018-12-29 22:32:32 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-12-29 22:32:32 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2018-12-29 22:37:27 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-12-29 22:37:27 UTC

/bin/sh -c #(nop) COPY multi:cbc68fef2c8554b9a23fee7eee16ffda927235f929048638240f97172562665c in /usr/local/bin/

2018-12-29 22:37:27 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-12-29 22:37:27 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-12-29 22:37:28 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-12-29 22:37:28 UTC

/bin/sh -c #(nop) EXPOSE 9000

2018-12-29 22:37:29 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-12-30 07:21:21 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-12-30 07:23:14 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.15; pecl install geoip-1.1.1; pecl install redis-3.1.6; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-12-30 07:23:14 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.7.0

2018-12-30 07:23:29 UTC

/bin/sh -c set -ex; fetchDeps=" dirmngr gnupg "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps ; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; gpgconf --kill all; rm -rf "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-12-30 07:23:29 UTC

/bin/sh -c #(nop) COPY file:5a36d7fba12e383595e7235267e54c5714dbf865acd4c4596c92ac0f17d139b3 in /usr/local/etc/php/conf.d/php-piwik.ini

2018-12-30 07:23:31 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-12-30 07:23:31 UTC

/bin/sh -c #(nop) COPY file:936a2120dd12b2005a1e297032173a949f09ad7582eddbd34d39c5d178603641 in /entrypoint.sh

2018-12-30 07:23:31 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-12-30 07:23:31 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-12-30 07:23:31 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-12-29 17:26:53 UTC

Size

156 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.7.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88

PHP_URL

https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror

PHP_VERSION

7.1.25


Layers

[#000] sha256:177e7ef0df6987e0c5738a1fb5aba98b6b6e7a5fef992e481977dbb5ba3f91be - 13.75% (21.5 MB)

[#001] sha256:9bf89f2eda244c750e106e9751aa6714e8002accc9ebc4efe784800ff424e2a8 - 0.0% (225 Bytes)

[#002] sha256:350207dcf1b7e69d73ee5e688ec3f1bb6576481773105b8635193dc7fe5010bb - 41.24% (64.3 MB)

[#003] sha256:a8a33d96b4e7acb10a1e637ccc316d5e823debfa5c64704b4935af982bd79926 - 0.0% (183 Bytes)

[#004] sha256:bd572a28cfdc2260ad724019b8758e6c22f2d20bd43e882f1ddccb2ab0ab721a - 7.66% (12 MB)

[#005] sha256:ded5fd0523388d0211c86f5c676af9eb772f91bf2b813aefb01bdf8aa9a595c7 - 0.0% (500 Bytes)

[#006] sha256:9cf40f55b436da10e01c24fd9fc49bd8b4c4c954268bfbe8439b4e4517110175 - 16.9% (26.4 MB)

[#007] sha256:af9f0f6b51b3e504346b22568a236996e3aa175ce7221716620d1f3fe421011d - 0.0% (2.14 KB)

[#008] sha256:7fada91546b2862ac65bbdf8e53da62d2e9b5819646e858b2c7602cdacfc0d14 - 0.0% (129 Bytes)

[#009] sha256:3c8102e71966d32693dc2977a6f6d8f6b34df50b9709f6578153db3b0ff7a866 - 0.0% (7.59 KB)

[#010] sha256:1d6fd60666328e947e3f6c104907d4cd247a1e3d20b03cdb05d57829dad20a60 - 1.76% (2.75 MB)

[#011] sha256:c8d5d6ca3eea389ada87c7407392c0c0e6a715e9e083908dd5f265c1dfbcae84 - 10.16% (15.9 MB)

[#012] sha256:ac5a74fda28b3b7d724ace69aec5f665f208d8426ecc38fe929da3db8d2d694e - 0.0% (321 Bytes)

[#013] sha256:7b1105235de7a074f42635e7c0468094ad5ff37584fee8058c74d09a6757f616 - 8.51% (13.3 MB)

[#014] sha256:49e7d4d92147fc570391aaa5c8414c9616811de2b1b8dbb1bbc41b898959315c - 0.0% (223 Bytes)


History
2018-12-28 23:30:06 UTC

/bin/sh -c #(nop) ADD file:6d6f6f123e45697d3e73ea24621e4fd8da0ed5cf7504767f6b3120671fe6e7d1 in /

2018-12-28 23:30:06 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-12-29 04:23:26 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-12-29 04:23:26 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-12-29 04:23:54 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-12-29 04:23:54 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-12-29 04:23:55 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-12-29 04:39:01 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-12-29 04:39:01 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 04:39:01 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 04:39:01 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-12-29 05:38:26 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-12-29 05:38:26 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.25

2018-12-29 05:38:26 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

2018-12-29 05:38:26 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88 PHP_MD5=

2018-12-29 05:38:36 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-12-29 05:38:36 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2018-12-29 05:45:45 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-12-29 05:45:46 UTC

/bin/sh -c #(nop) COPY multi:cbc68fef2c8554b9a23fee7eee16ffda927235f929048638240f97172562665c in /usr/local/bin/

2018-12-29 05:45:46 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-12-29 05:45:46 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-12-29 05:45:47 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-12-29 05:45:47 UTC

/bin/sh -c #(nop) EXPOSE 9000

2018-12-29 05:45:47 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-12-29 17:22:44 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-12-29 17:26:28 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.15; pecl install geoip-1.1.1; pecl install redis-3.1.6; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-12-29 17:26:28 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.7.0

2018-12-29 17:26:50 UTC

/bin/sh -c set -ex; fetchDeps=" dirmngr gnupg "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps ; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; gpgconf --kill all; rm -rf "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-12-29 17:26:50 UTC

/bin/sh -c #(nop) COPY file:5a36d7fba12e383595e7235267e54c5714dbf865acd4c4596c92ac0f17d139b3 in /usr/local/etc/php/conf.d/php-piwik.ini

2018-12-29 17:26:52 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-12-29 17:26:52 UTC

/bin/sh -c #(nop) COPY file:936a2120dd12b2005a1e297032173a949f09ad7582eddbd34d39c5d178603641 in /entrypoint.sh

2018-12-29 17:26:53 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-12-29 17:26:53 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-12-29 17:26:53 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2019-01-04 10:25:09 UTC

Size

144 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.7.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88

PHP_URL

https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror

PHP_VERSION

7.1.25


Layers

[#000] sha256:e040f73e39f2c2a1a8429ff270c2d629ef2630ac31581228037724d707862b22 - 14.01% (20.2 MB)

[#001] sha256:3dc5107d4e4251d4ef9002026f490e573eff661fe6e2278d1bd3a7d121a3c321 - 0.0% (226 Bytes)

[#002] sha256:ca61229a1118271adc19db58c172d9ceaa14ceb0aef16b2fb0b4237c08f6fe9e - 38.04% (54.8 MB)

[#003] sha256:a2be23d64816b54f39f39a88b24bd971081a558160fdf7667ec44f47c45989c9 - 0.0% (212 Bytes)

[#004] sha256:e7e3cdfd4b8aa7c6975aa3a8d66e79a96e88d75e585f99e5af1d1bab5b630e9d - 8.3% (12 MB)

[#005] sha256:8f25cf5da337c23300e0278ed171f00dcb4324927853ef4f88ecdcfd3b3b4bbc - 0.0% (500 Bytes)

[#006] sha256:09a0cbab64a23a175915321fc8693295b7ae25c9aeadfc6e010a4a1198962c03 - 17.6% (25.3 MB)

[#007] sha256:73d16c8f8f0f632dcd9f88dab60c49aaef227e81655f2a34ceea2297fe32efa5 - 0.0% (2.14 KB)

[#008] sha256:f9b369e90babb1cb10c281a19bebbe8095e2a98254aeb240fdfdd87539406075 - 0.0% (160 Bytes)

[#009] sha256:540f1a9dbb2cc78b4a0a953355e2429d37395f7d3798ce4e5adb1d850800bae0 - 0.01% (7.59 KB)

[#010] sha256:609067f9a3179d798b20265d6477c6386cb445fec542daa8c452a37a186f5a1a - 1.83% (2.63 MB)

[#011] sha256:ee9181ac3f81dd8a08fa574c2129acf63d0bec2b0872677ac706d86164aeb256 - 11.0% (15.8 MB)

[#012] sha256:b93d7f381c16cbeefcde668d763ed5d13994876a8e4b6d96db2c8020543e944b - 0.0% (318 Bytes)

[#013] sha256:00fc49afb74a2f221eccc236983e16fe65689e43acf34e9450972800583d502c - 9.21% (13.3 MB)

[#014] sha256:6ead7ce6ebc4b5b7af0e2edd44a947eec873888fb8a3ce46e29777d9ac262020 - 0.0% (222 Bytes)


History
2018-12-29 09:55:31 UTC

/bin/sh -c #(nop) ADD file:1f3db2bdb8941ca17968251e2af1378e7f7556627ed60eafb5ee40089810bc8b in /

2018-12-29 09:55:32 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-12-29 12:32:24 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-12-29 12:32:24 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-12-29 12:33:02 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-12-29 12:33:04 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-12-29 12:33:05 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-12-29 12:41:44 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-12-29 12:41:44 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 12:41:44 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 12:41:45 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-12-29 13:15:11 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-12-29 13:15:11 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.25

2018-12-29 13:15:11 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

2018-12-29 13:15:12 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88 PHP_MD5=

2018-12-29 13:15:28 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-12-29 13:15:29 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2018-12-29 13:19:02 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-12-29 13:19:03 UTC

/bin/sh -c #(nop) COPY multi:cbc68fef2c8554b9a23fee7eee16ffda927235f929048638240f97172562665c in /usr/local/bin/

2018-12-29 13:19:03 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-12-29 13:19:04 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-12-29 13:19:05 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-12-29 13:19:06 UTC

/bin/sh -c #(nop) EXPOSE 9000

2018-12-29 13:19:07 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2019-01-04 10:20:58 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2019-01-04 10:24:31 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.15; pecl install geoip-1.1.1; pecl install redis-3.1.6; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2019-01-04 10:24:31 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.7.0

2019-01-04 10:25:03 UTC

/bin/sh -c set -ex; fetchDeps=" dirmngr gnupg "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps ; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; gpgconf --kill all; rm -rf "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2019-01-04 10:25:04 UTC

/bin/sh -c #(nop) COPY file:5a36d7fba12e383595e7235267e54c5714dbf865acd4c4596c92ac0f17d139b3 in /usr/local/etc/php/conf.d/php-piwik.ini

2019-01-04 10:25:07 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2019-01-04 10:25:07 UTC

/bin/sh -c #(nop) COPY file:936a2120dd12b2005a1e297032173a949f09ad7582eddbd34d39c5d178603641 in /entrypoint.sh

2019-01-04 10:25:08 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2019-01-04 10:25:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2019-01-04 10:25:09 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2019-01-04 13:21:39 UTC

Size

137 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.7.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88

PHP_URL

https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror

PHP_VERSION

7.1.25


Layers

[#000] sha256:eb2ab017daa46c13a41d60225632e89c8b5c24a9bdafb2b75b1d415830b41e6b - 13.38% (18.4 MB)

[#001] sha256:6bdd3055b30ec26315bbe73533843047ed98fec35dc5acc5cb0d0878ab8ed597 - 0.0% (224 Bytes)

[#002] sha256:2f79128a6d00730d8aaed6af05f3590337fcecd13119d056c272e9d01043f441 - 37.18% (51.1 MB)

[#003] sha256:56fcb7f3e035561a3c9eced964fa2bf0fb33d76092839e59092e773161523cf0 - 0.0% (211 Bytes)

[#004] sha256:f040c446ae8769d71ac907c7df95b985a5334141a346804468c2eb2896565045 - 8.7% (12 MB)

[#005] sha256:43c8df9b07174314effabc8941068fee071876236ec999b7b3c8606f17b8ab19 - 0.0% (501 Bytes)

[#006] sha256:cee96058cc5725c899c9c9a31d51d3feba557c92229c1f029c6b12172b6554bf - 17.71% (24.3 MB)

[#007] sha256:ec184080162460c884005bebee9caf78e1ee144b110184256594975695bf8f52 - 0.0% (2.14 KB)

[#008] sha256:297f3c4409d8378425f95c091a59cc060520b9d4c557780441469459da56390e - 0.0% (161 Bytes)

[#009] sha256:0bad796cf99586eb2b3fc38e4346e72e93ee72570fd9f04ef9b339b7f1496f6b - 0.01% (7.59 KB)

[#010] sha256:2f9f71e795f36b4c691f6503739a1e58a4f9c4d826113ac2df0eb5c68485e6a5 - 1.84% (2.53 MB)

[#011] sha256:82ecc13761661461e059c608c06d177806dc8897908397a2a694fef6abbc28f2 - 11.53% (15.8 MB)

[#012] sha256:4408e580fb8e0ba690e551b32eae73e85c434e87d2a0d015cedf5aafeb459295 - 0.0% (319 Bytes)

[#013] sha256:eda1101081009cf18d4f5dbdef4127cf4381692ee2f83e6a3b2bc17075890d2d - 9.66% (13.3 MB)

[#014] sha256:b4772f6f1c04565d88c7f7dc95af65a36633853b27fe458a6967b16e65f0a47f - 0.0% (224 Bytes)


History
2018-12-29 13:04:57 UTC

/bin/sh -c #(nop) ADD file:287bc4fa3803b40afca4bcac26d92079fb862f7b968e960e01ae536b1b5c7aea in /

2018-12-29 13:04:57 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-12-29 15:52:23 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-12-29 15:52:23 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-12-29 15:52:54 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-12-29 15:52:55 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-12-29 15:52:57 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-12-29 16:00:56 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-12-29 16:00:56 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 16:00:56 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 16:00:57 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-12-29 17:08:57 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-12-29 17:08:58 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.25

2018-12-29 17:08:59 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

2018-12-29 17:08:59 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88 PHP_MD5=

2018-12-29 17:09:15 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-12-29 17:09:16 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2018-12-29 17:12:35 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-12-29 17:12:37 UTC

/bin/sh -c #(nop) COPY multi:cbc68fef2c8554b9a23fee7eee16ffda927235f929048638240f97172562665c in /usr/local/bin/

2018-12-29 17:12:37 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-12-29 17:12:37 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-12-29 17:12:39 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-12-29 17:12:39 UTC

/bin/sh -c #(nop) EXPOSE 9000

2018-12-29 17:12:40 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2019-01-04 13:17:46 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2019-01-04 13:21:01 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.15; pecl install geoip-1.1.1; pecl install redis-3.1.6; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2019-01-04 13:21:01 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.7.0

2019-01-04 13:21:33 UTC

/bin/sh -c set -ex; fetchDeps=" dirmngr gnupg "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps ; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; gpgconf --kill all; rm -rf "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2019-01-04 13:21:34 UTC

/bin/sh -c #(nop) COPY file:5a36d7fba12e383595e7235267e54c5714dbf865acd4c4596c92ac0f17d139b3 in /usr/local/etc/php/conf.d/php-piwik.ini

2019-01-04 13:21:37 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2019-01-04 13:21:37 UTC

/bin/sh -c #(nop) COPY file:936a2120dd12b2005a1e297032173a949f09ad7582eddbd34d39c5d178603641 in /entrypoint.sh

2019-01-04 13:21:38 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2019-01-04 13:21:38 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2019-01-04 13:21:39 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-12-30 07:00:40 UTC

Size

143 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.7.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88

PHP_URL

https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror

PHP_VERSION

7.1.25


Layers

[#000] sha256:1a07b0163994a6d3328beeaa3400f6304e68548ffb84deefcb74427a6b65a489 - 13.53% (19.4 MB)

[#001] sha256:da8dc61ccacab0c571f2793c6c5400180816557fa0140990f997519be3471012 - 0.0% (228 Bytes)

[#002] sha256:59be51dca15077e7f02edb4376d3e8e194896c4e706c9c03c2fd2d2af47f8cdc - 38.31% (54.9 MB)

[#003] sha256:1f391fc42cee2e19f185ac34d4d4e8404a3209ed5c17b369dc30bdf3a0d29915 - 0.0% (183 Bytes)

[#004] sha256:adec172ce297d542df43c7aa0f313446e785ac8ca2e295e54938b8ce67a3a397 - 8.34% (12 MB)

[#005] sha256:d1f9b3d6901db42062c8a5b682f6d75b0be48ceb30fce199d6b242d27053ca35 - 0.0% (501 Bytes)

[#006] sha256:f4af270f468b62400bcf8c320c5daf94cc899946505813cf514a68dd2b59aa6f - 17.68% (25.4 MB)

[#007] sha256:97cdc7e9afea5333421d82999a8989f918857672afd9052f2a760123e5dacfe8 - 0.0% (2.14 KB)

[#008] sha256:16cfcd5a8153cb675b95781ea753b405d2cbc75099f7532bc068414c26492b63 - 0.0% (130 Bytes)

[#009] sha256:2eff44c60fbbbad489b232dcab6caaa908448fbf195aa9a30312bf246ddfb51b - 0.01% (7.59 KB)

[#010] sha256:b4486127e5a062e2a8d9d5ce64cf1ff704116b72e1b243cdb722f19e59200024 - 1.83% (2.62 MB)

[#011] sha256:56fe1731d60c10648fb86ff361dc202c579f3b0d40514293116d65f96b92f0d1 - 11.05% (15.8 MB)

[#012] sha256:4c61b94b02df07ca42468992a8f95c5b28d92651588c55fe6fe16878572cdf70 - 0.0% (321 Bytes)

[#013] sha256:0cbdf874cfb2addbb0df5d9e16eea342c8e07a084dc7d029105b7bc53f6ee897 - 9.26% (13.3 MB)

[#014] sha256:2ff72d7d3668236e239c9e88b174a27e8055036de69562863b995a6b72d27dbf - 0.0% (222 Bytes)


History
2018-12-29 10:08:46 UTC

/bin/sh -c #(nop) ADD file:e4db5c28a0f74e32be4419aae491e4b9dc7402f3640369289e24c52028c871ad in /

2018-12-29 10:08:47 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-12-29 21:39:33 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-12-29 21:39:33 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-12-29 21:41:51 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-12-29 21:41:52 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-12-29 21:41:54 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-12-29 22:04:55 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-12-29 22:04:56 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 22:04:57 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 22:04:57 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-12-29 23:26:08 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-12-29 23:26:12 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.25

2018-12-29 23:26:15 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

2018-12-29 23:26:20 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88 PHP_MD5=

2018-12-29 23:27:47 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-12-29 23:27:48 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2018-12-29 23:37:14 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-12-29 23:37:15 UTC

/bin/sh -c #(nop) COPY multi:cbc68fef2c8554b9a23fee7eee16ffda927235f929048638240f97172562665c in /usr/local/bin/

2018-12-29 23:37:16 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-12-29 23:37:17 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-12-29 23:37:19 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-12-29 23:37:20 UTC

/bin/sh -c #(nop) EXPOSE 9000

2018-12-29 23:37:21 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-12-30 06:55:14 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-12-30 06:59:43 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.15; pecl install geoip-1.1.1; pecl install redis-3.1.6; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-12-30 06:59:44 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.7.0

2018-12-30 07:00:28 UTC

/bin/sh -c set -ex; fetchDeps=" dirmngr gnupg "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps ; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; gpgconf --kill all; rm -rf "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-12-30 07:00:31 UTC

/bin/sh -c #(nop) COPY file:5a36d7fba12e383595e7235267e54c5714dbf865acd4c4596c92ac0f17d139b3 in /usr/local/etc/php/conf.d/php-piwik.ini

2018-12-30 07:00:36 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-12-30 07:00:36 UTC

/bin/sh -c #(nop) COPY file:936a2120dd12b2005a1e297032173a949f09ad7582eddbd34d39c5d178603641 in /entrypoint.sh

2018-12-30 07:00:37 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-12-30 07:00:38 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-12-30 07:00:40 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-12-29 20:20:35 UTC

Size

151 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.7.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88

PHP_URL

https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror

PHP_VERSION

7.1.25


Layers

[#000] sha256:ca671aebac61774c6bfa23dd5b097e3a135a33f3987318158787030ee978173a - 14.39% (21.7 MB)

[#001] sha256:55c9e443128efed70bcb2c05fbf1b7b3c63735856c07a31f95f3422e8e5d6be3 - 0.0% (226 Bytes)

[#002] sha256:26502f7e153105ac601f4d12e9b72baf9021b49b992fe619264a1933c2daf6b4 - 39.13% (59 MB)

[#003] sha256:d327479a214f245c363cea23d6878780e6dbb819938b9511e7b69e2e17e81fbf - 0.0% (212 Bytes)

[#004] sha256:34240000ae743825531d1a71fef93f36e4be2746881e57b9cb232164251e65f6 - 7.93% (12 MB)

[#005] sha256:fd81afb2139e3ff7e855d387565313b3e0ab3d58452e040088f8d4c1257c9233 - 0.0% (500 Bytes)

[#006] sha256:b093d7ad51d92a4e78a0e18c29bda17d5479f8385323b51c5da4665961c5eaa7 - 17.39% (26.2 MB)

[#007] sha256:24f1df4b42a05a4d048c1f62d8d9ffe02857a0fc70c220d0dd260e4ae50d0238 - 0.0% (2.14 KB)

[#008] sha256:85e3fb5199c985afa8d93d7f93461c446b3ba024ac1c7fb5af798961be3de90a - 0.0% (160 Bytes)

[#009] sha256:437afae69d313009a3e6721719f93e5569a459c217895f6836bb000d445c4a08 - 0.0% (7.59 KB)

[#010] sha256:009fa97bf41e40c4783dcd10b91d4ecbfba8d038abefe7aeca73f33eecab4130 - 1.83% (2.75 MB)

[#011] sha256:d38591b4c1a1dd4e09f59911b05945730d163a0007ac831468a664164f15c62f - 10.52% (15.8 MB)

[#012] sha256:33a918698f4bc9b5d3a1fcb11a954ddd37e5ad0ca4a3a5a83dadc4140f543f31 - 0.0% (318 Bytes)

[#013] sha256:5064181bd97bef6e3efb1401420eb34ca7423af2991ed6ad02b05d1cd5ae0347 - 8.81% (13.3 MB)

[#014] sha256:77b86a35e783b3865640280386d9fbcecd7f31cdeee07696713474085fcf9a48 - 0.0% (221 Bytes)


History
2018-12-29 09:22:40 UTC

/bin/sh -c #(nop) ADD file:11cdf0dbdac1a774d74f30e9954e3cf02c390d2280ce747bc95a3b774259f226 in /

2018-12-29 09:22:44 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-12-29 13:02:33 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-12-29 13:02:35 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-12-29 13:04:54 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-12-29 13:04:59 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-12-29 13:05:04 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-12-29 13:18:34 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-12-29 13:18:37 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 13:18:39 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 13:18:42 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-12-29 14:07:23 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-12-29 14:07:25 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.25

2018-12-29 14:07:27 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

2018-12-29 14:07:29 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88 PHP_MD5=

2018-12-29 14:08:08 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-12-29 14:08:09 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2018-12-29 14:12:12 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-12-29 14:12:14 UTC

/bin/sh -c #(nop) COPY multi:cbc68fef2c8554b9a23fee7eee16ffda927235f929048638240f97172562665c in /usr/local/bin/

2018-12-29 14:12:17 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-12-29 14:12:19 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-12-29 14:12:24 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-12-29 14:12:26 UTC

/bin/sh -c #(nop) EXPOSE 9000

2018-12-29 14:12:28 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-12-29 20:16:34 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-12-29 20:19:30 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.15; pecl install geoip-1.1.1; pecl install redis-3.1.6; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-12-29 20:19:33 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.7.0

2018-12-29 20:20:20 UTC

/bin/sh -c set -ex; fetchDeps=" dirmngr gnupg "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps ; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; gpgconf --kill all; rm -rf "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-12-29 20:20:23 UTC

/bin/sh -c #(nop) COPY file:5a36d7fba12e383595e7235267e54c5714dbf865acd4c4596c92ac0f17d139b3 in /usr/local/etc/php/conf.d/php-piwik.ini

2018-12-29 20:20:28 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-12-29 20:20:29 UTC

/bin/sh -c #(nop) COPY file:936a2120dd12b2005a1e297032173a949f09ad7582eddbd34d39c5d178603641 in /entrypoint.sh

2018-12-29 20:20:31 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-12-29 20:20:33 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-12-29 20:20:35 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-12-29 16:58:51 UTC

Size

145 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.7.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88

PHP_URL

https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror

PHP_VERSION

7.1.25


Layers

[#000] sha256:0e647eff4fda368965291c62c8bc90ae9cbcc84a50a5caed821af7f05ec653d4 - 14.7% (21.3 MB)

[#001] sha256:814164df89f9d48bc5f0b1e3eac03e56d1cfd2d8012a32b40cb74cf206a4c03c - 0.0% (227 Bytes)

[#002] sha256:b7f72900afd7908ae15b24bb83e6b69e0251236d5df62ce0af2b7344fe889dae - 36.71% (53.2 MB)

[#003] sha256:02257aa4538f74d3a3e7121a3ece61b7e4e70bc04bf2675ce098233646dd724e - 0.0% (183 Bytes)

[#004] sha256:5d389e3408a7d826769045dc793dd37bec76aab6b80330f09bd02fed1847fa24 - 8.25% (12 MB)

[#005] sha256:0eea6f9315cbab2b99ded39cd95caec523cd87fc3f4d007c5d1c6106d1065c91 - 0.0% (500 Bytes)

[#006] sha256:3fad7e31ba171bbe6b00191152681577ab4435e351f0c391f37780081b68cf3e - 18.3% (26.5 MB)

[#007] sha256:1146346bcacf89ba1aaa0b21fd437ba88868bc28dd4255e5dac1e1e907803767 - 0.0% (2.14 KB)

[#008] sha256:1bc6b2cc6a338853379ce337cb2b632a04de0d859d724801b856c44ca7940c61 - 0.0% (130 Bytes)

[#009] sha256:1c9592d256f701c308b5556457eebaacf183d4d3a0f726662ec402f4a101860c - 0.01% (7.59 KB)

[#010] sha256:ba2136a1c7e7112d4e456c8131bffa3e752a2736ca37568b2e829606b0505ba7 - 1.93% (2.8 MB)

[#011] sha256:00b2d1bdf704dd403ecc65a51eaaa07d5aa7aa61d829a70e6a6a66145f7191a6 - 10.94% (15.8 MB)

[#012] sha256:50edd46277393953c6dc95951119281cea563f3ae7affebe6d6b124fe759c91f - 0.0% (320 Bytes)

[#013] sha256:c0cea9c2dcb4a9e582ea96356cbd698b6e4bcddf1bbd18c7830f841712daaf9d - 9.16% (13.3 MB)

[#014] sha256:723f8081c808ac72b4ca85635e9f63ebbabd1a6019fac1d9d98092b3b6e4bb09 - 0.0% (221 Bytes)


History
2018-12-29 12:43:52 UTC

/bin/sh -c #(nop) ADD file:35c030887198a067338539b6bd96e04ff649537c38542febcb7e0ccd2a3d90c8 in /

2018-12-29 12:43:52 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-12-29 13:03:18 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-12-29 13:03:18 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-12-29 13:03:45 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-12-29 13:03:45 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-12-29 13:03:46 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-12-29 13:13:49 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2018-12-29 13:13:49 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 13:13:49 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-12-29 13:13:50 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-12-29 13:13:50 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-12-29 13:13:50 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.25

2018-12-29 13:13:50 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.25.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.25.tar.xz.asc/from/this/mirror

2018-12-29 13:13:50 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=0fd8dad1903cd0b2d615a1fe4209f99e53b7292403c8ffa1919c0f4dd1eada88 PHP_MD5=

2018-12-29 13:13:59 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-12-29 13:13:59 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2018-12-29 13:17:37 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-12-29 13:17:38 UTC

/bin/sh -c #(nop) COPY multi:cbc68fef2c8554b9a23fee7eee16ffda927235f929048638240f97172562665c in /usr/local/bin/

2018-12-29 13:17:38 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-12-29 13:17:39 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-12-29 13:17:39 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-12-29 13:17:40 UTC

/bin/sh -c #(nop) EXPOSE 9000

2018-12-29 13:17:40 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-12-29 16:55:52 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-12-29 16:58:35 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.15; pecl install geoip-1.1.1; pecl install redis-3.1.6; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-12-29 16:58:35 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.7.0

2018-12-29 16:58:48 UTC

/bin/sh -c set -ex; fetchDeps=" dirmngr gnupg "; apt-get update; apt-get install -y --no-install-recommends $fetchDeps ; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; gpgconf --kill all; rm -rf "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps; rm -rf /var/lib/apt/lists/*

2018-12-29 16:58:49 UTC

/bin/sh -c #(nop) COPY file:5a36d7fba12e383595e7235267e54c5714dbf865acd4c4596c92ac0f17d139b3 in /usr/local/etc/php/conf.d/php-piwik.ini

2018-12-29 16:58:50 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-12-29 16:58:50 UTC

/bin/sh -c #(nop) COPY file:936a2120dd12b2005a1e297032173a949f09ad7582eddbd34d39c5d178603641 in /entrypoint.sh

2018-12-29 16:58:50 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-12-29 16:58:50 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-12-29 16:58:51 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete